package main

import (
	_ "embed"
	"os"

	"github.com/nocodelytics/tracker-api/api"
	"github.com/nocodelytics/tracker-api/internal"
)

func main() {
	internal.NewNatsConnection()
	r := api.SetupRouter()
	port := os.Getenv("PORT")
	if port == "" {
		port = "3001"
	}
	r.Run(":" + port)
}
